### Hierarchy

- GeneratorFunctionConstructor

### Callable

- __call(...args: string[]): GeneratorFunction

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:53

  Creates a new Generator function.

  #### Parameters

  - ##### Rest ...args: string[]

    A list of arguments the function accepts.

  #### Returns GeneratorFunction

## Index

### Constructors

- constructor

### Properties

- length
- name
- prototype

## Constructors

### constructor

- new GeneratorFunctionConstructor(...args: string[]): GeneratorFunction

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:48

  Creates a new Generator function.

  #### Parameters

  - ##### Rest ...args: string[]

    A list of arguments the function accepts.

  #### Returns GeneratorFunction

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:62

The length of the arguments.

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:66

Returns the name of the function.

### prototype

prototype: GeneratorFunction

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:70

A reference to the prototype.

Generated using TypeDoc